{if $cMessage}
    <div style="background: linear-gradient(#cecece, #f8fbf8); border: 1px solid #888; box-shadow: 0 0 8; margin: 0 0 10px; padding: 12px 20px;">
        {$cMessage}
    </div>
{/if}

{if $fehler}
    <p class="message">{$fehler}</p>
{/if}

{if $alleEmpfehlungen|@count}

    {literal}
        <script type="text/javascript" src="{/literal}{$oPlugin->cAdminmenuPfadURL}{literal}js/jquery.quicksearch.js"></script>

        <script type="text/javascript">
            $(document).ready(function () {
                $('input#id_search').quicksearch('table tbody tr');

                $("#sort-me").sortable({
                    forcePlaceholderSize: true,
                    items: "> tr",
                    tolerance: "pointer",
                    cursor: "pointer",
                    update: function (event, ui) {
                        $.ajax({
                            url: "{/literal}{$oPlugin->cAdminmenuPfadURL}{literal}ajax/jstMitarbeiterEmpfehlung.ajax.php?aktion=reihenfolge",
                            cache: false,
                            type: "POST",
                            data: $("#sort-me").sortable("serialize")
                        });
                    }
                });
            });
        </script>

        <style>
            #sort-me > tr {
                border-bottom: none !important;
                width: auto !important;
                background: #ffffff !important;
                cursor: pointer;
            }

            .ui-sortable-placeholder
            {
                height: 60px;
            }

            .ui-sortable-helper
            {
                border-left: 1px solid #e5e5e5;
                -webkit-box-shadow: 3px 3px 5px 0px rgba(0,0,0,0.75);
                -moz-box-shadow: 3px 3px 5px 0px rgba(0,0,0,0.75);
                box-shadow: 3px 3px 5px 0px rgba(0,0,0,0.75);
            }
        </style>
    {/literal}

    <form action="#">
        <fieldset>
            <input style="width: 300px; margin-bottom: 10px;" type="text" name="search" value="" id="id_search" placeholder="Empfehlungen filtern" autofocus />
        </fieldset>
    </form>

    <table>
        <thead>
            <tr>
                <th>Bild</th>
                <th>Artikel-Nr.</th>
                <th>Artikel-Name</th>
                <th>Mitarbeiter</th>
                <th>Empfehlungstext</th>
                <th>Datum</th>
                <th>Aktiv</th>
                <th>Optionen</th>
            </tr>
        </thead>
        <tbody id="sort-me">
            {foreach from=$alleEmpfehlungen item=empfehlung}
                <tr id="me_{$empfehlung->id}">
                    <td><img style="max-height:50px;" src="{$URL_SHOP}/{if $empfehlung->cPfad}{$cVorschauBildPfad}{$empfehlung->cPfad}{else}gfx/keinBild.gif{/if}" alt="{$empfehlung->cName}" title="{$empfehlung->cName}"/></td>	
                    <td>{$empfehlung->eArtikel}</td>
                    <td>{if $empfehlung->cName}<a href="{$URL_SHOP}/{if $empfehlung->cSeo}{$empfehlung->cSeo}{else}?a={$empfehlung->eArtikel}{/if}" target="_blank" title="zum Artikel">{$empfehlung->cName}</a>{else}(Artikel existiert nicht){/if}</td>
                    <td>{$empfehlung->mVorname}&nbsp;{$empfehlung->mNachname}</td>
                    <td class="empfehlungstext">{$empfehlung->eText|strip_tags|truncate:250}</td>
                    <td>{$empfehlung->eErstellt}</td>
                    <td>
                        {if $empfehlung->eAktiv=='1'}
                            <img src="{$oPlugin->cAdminmenuPfadURL}icons/aktiv.png" alt="aktiv" title="aktiv" />
                        {else}
                            <img src="{$oPlugin->cAdminmenuPfadURL}icons/inaktiv.png" alt="inaktiv" title="inaktiv" />
                        {/if}
                    </td>
                    <td>
                        {if $empfehlung->eAktiv=='1'}
                            <a href="plugin.php?kPlugin={$oPlugin->kPlugin}&kPluginAdminMenu={getAdminMenu name='Empfehlungen'}&aktion=deaktiviereEmpfehlung&empfehlungsID={$empfehlung->id}">
                                <img class="floatLeft" src="{$oPlugin->cAdminmenuPfadURL}icons/pause.png" alt="inaktiv" title="Pausieren" />
                            </a>
                        {else}
                            <a href="plugin.php?kPlugin={$oPlugin->kPlugin}&kPluginAdminMenu={getAdminMenu name='Empfehlungen'}&aktion=aktiviereEmpfehlung&empfehlungsID={$empfehlung->id}">
                                <img class="floatLeft" src="{$oPlugin->cAdminmenuPfadURL}icons/aktivieren.png" alt="aktiv" title="Aktivieren" />
                            </a>
                        {/if}
                        <a href="plugin.php?kPlugin={$oPlugin->kPlugin}&kPluginAdminMenu={getAdminMenu name='Empfehlung anlegen'}&aktion=aendereEmpfehlung&empfehlungsID={$empfehlung->id}">
                            <img class="floatLeft" src="{$oPlugin->cAdminmenuPfadURL}icons/bearbeiten.png" alt="bearbeiten" title="Bearbeiten" />
                        </a>
                        <a href="plugin.php?kPlugin={$oPlugin->kPlugin}&kPluginAdminMenu={getAdminMenu name='Empfehlungen'}&aktion=loescheEmpfehlung&empfehlungsID={$empfehlung->id}">
                            <img class="floatLeft" src="{$oPlugin->cAdminmenuPfadURL}icons/loeschen.png" alt="loeschen" title="L&ouml;schen" />
                        </a>
                    </td>
                {/foreach}
            </tr>
        </tbody>
    </table>
{else}
    <p class="message">Noch keine Empfehlungen angelegt!</p>
{/if}

<script type="text/javascript">
    {literal}	

    $(function () {
        var t;
        $('.ajax_search .search').keyup(function () {
            var P = $(this).parents('.ajax_search');
            P.find('.results').html('<img src=\"//cdn.jtl-stollen.de/assets/img/loading.gif\" />');
            if (t) {
                clearTimeout(t);
                t = setTimeout(function () {
                    doSearch(P)
                }, 500);
            } else {
                t = setTimeout(function () {
                    doSearch(P)
                }, 500);
            }
        });

        doSearch = function (target) {
            var searchTerm = target.find('.search').val();
            $.ajax(
                    {
                        url: '{/literal}{$oPlugin->cAdminmenuPfadURL}{literal}suche_artikel.php',
                        type: "POST",
                        data: {'st': searchTerm},
                        success: function (data) {
                            target.find('.results').html(data);
                        }
                    }
            );
        };
    });
    {/literal}
</script>
<script type="text/javascript">
    {literal}
        function openAdviceWindow() {
            $('#empfehlung').css("left", $(window).width() / 2 - 270);
            $('#empfehlung').show('slow');
        }
    {/literal}
</script>

<style type="text/css">
    {literal}	
        .ajax_search .search {
            display: block;
            width: 465px;
        }

        .ajax_search {
            padding-bottom: 15px;
        }

        .ajax_search .results_wrapper {
            border: 1px solid #EBE9EA;
            border-top: 0;
            margin-top: -16px;
            margin-left: 15px;
            width: 469px;
            z-index: 999;
        }

        .results td {
            font-size: 11px;
            vertical-align: top;
        }

        .search {
            border: 1px solid #EBE9EA !important;
            color: gray !important;
            margin: 15px;
            padding-bottom: 15px;
        }

        .handle {
            width: 100%; 
            padding: 8px 0; 
            background: white;
        }

        .handleHeader {
            width: 100%; 
            padding: 10px 0; 
            background: url("{/literal}{$oPlugin->cAdminmenuPfadURL}{literal}icons/header.png") repeat-x scroll left top #F28203;
            margin-bottom: 1px;
            color: white;
            font-weight: bold;
        }

        .headerElement {
            font-weight: bold;
            margin-left: 5px;
        }

        select, textarea {
            margin: 15px;
            min-width: 470px;
            border: 1px solid #EBE9EA !important;
            color: gray !important;
            font-size: 13px !important;
            line-height: 18px;
            font: 0.75em/1.3 Verdana,Helvetica,Arial,sans-serif;
        }

        #empfehlung {
            cursor: default; 
            border-radius: 0; 
            border: 1px solid #EBE9EA;
            background: #fff; 
            min-height: 200px; 
            padding: 0;
            padding-right: 0;
            height: 100%;
        }

        .button.orange {
            margin: 15px;
        }

        .empfehlungHinzufuegen {
            background: no-repeat 0 2px transparent;
            text-decoration: none; 
            color: #000; 
            padding: 10px 0 7px 40px; 
            display: block; 
            height: 30px;
        }

        .combo {
            border: 1px solid #B0B0B0 !important;
            color: black !important;
            margin: 0;
        }

        th, td {
            text-align: left;
        }

        tr {
            border-bottom: 1px solid gray;
        }

        .avatar {
            width: 32px;
            height: auto;
        }

        .message {
            border: 1px solid red; 
            box-shadow: 0 0 8; 
            margin: 0 0 10px; 
            padding: 12px 20px;
        }

        .mitarbeiterHinzufuegen {
            background: no-repeat 0 2px transparent;
            text-decoration: none; 
            color: #000; 
            padding: 10px 0 7px 40px; 
            display: block; 
            height: 30px;
        }

        #alleMitarbeiterAuswahl {
            color: gray !important;
        }

        #upload {
            display: none; 
            cursor: default; 
            border-radius: 10px; 
            background: #fff; 
            width: 500px; 
            min-height: 200px; 
            display: none; 
            position: absolute; 
            top: 150px; 
            box-shadow: 0 0 15px #888; 
            padding: 80px 20px 0;
        }

        .tabbertab a {
            text-decoration: none;
        }

        .empfehlungstext {
            width: 260px;  
        }

        #empfehlungAendern {
            display: none; 
            cursor: default; 
            border-radius: 10px; 
            background: #fff; 
            width: 700px; 
            min-height: 200px; 
            position: absolute !important; 
            top: 150px; 
            box-shadow: 0 0 15px #888; 
            padding: 80px 20px 0;
        }

        #mitarbeiter, #mitarbeiterBearbeiten {
            display: none; 
            cursor: default; 
            border-radius: 10px; 
            background: #fff; 
            width: 500px; 
            min-height: 200px; 
            display: none; 
            position: absolute; 
            top: 150px; 
            box-shadow: 0 0 15px #888; 
            padding: 80px 20px 0;
        }

        #settings .elem div.for select, #settings .item div.for select {
            color: #000000 !important;
            margin: 0;
            min-width: 286px;
            border: 1px solid #B0B0B0 !important;
        }
    {/literal}
</style>